ScaleEntity Method

Back to Methods Reference

Scales an object equally in the X, Y, and Z directions.

Signature

VBA : object.ScaleEntity BasePoint, ScaleFactor

VL : (vla-ScaleEntity object BasePoint ScaleFactor)

(vla-ScaleEntity obj bp sc)

  • Object : All Drawing Objects, AttributeReference
    The object or objects this method applies to.

  • BasePoint : Variant (three-element array of doubles); input-only
    The 3D WCS coordinates specifying the base point.

  • ScaleFactor : Double; input-only
    The factor by which to scale the object. The dimensions of the object are multiplied by the scale factor. A scale factor greater than 1 enlarges the object. A scale factor between 0 and 1 reduces the object. The scale factor must be greater than 0.0.

Example :


(defun c:al-scaleentity ()

(vl-load-com)

(setq util (vla-get-utility 
                   (vla-get-activedocument 
                        (vlax-get-acad-object))))
                        
(vla-getentity util 'obj 'ip "\nSelect Object: ")

(setq bp (vla-getpoint util nil "\nBase Point: "))

(setq sc (vla-GetReal util "\nScale Factor: "))

(vla-ScaleEntity obj bp sc)

(princ)

);defun

 
The AutoLisp/Visual Lisp/VBA Resource Website
Google
Search the WWW Search AfraLisp

Copyright © 1999-Perpetuity by AfraLisp

All rights reserved.
Information in this document is subject to change without notice.
Site created and maintained by Kenny Ramage

The AutoLisp/Visual Lisp/VBA Resource Website